clear
clear matrix
set maxiter 25
set more off
set mem 700m
use "OPEC-diplo exchange analysis.2013Mar.dta", clear

** BASE MODELS -- Modifications to Gartzke and Jo
probit recog1duml OPECa OPECb OPECinter oilproducera oilproducerb nukeduma nukedumb nukeinter demautai demautbi deminteri rivduma rivdumb rivaldumy logdist allydumy cap_1 cap_2 capinter recogpy recogyr* if year>=1945, cluster(dyadid)
oprobit ordrecal OPECa OPECb OPECinter oilproducera oilproducerb nukeduma nukedumb nukeinter demautai demautbi deminteri rivduma rivdumb rivaldumy logdist defdummy cap_1 cap_2 capinter lagrecorda if year>=1945, cluster(dyadid)
** SAUDI models
probit recog1duml saudia saudib opecnonsaudia opecnonsaudib OPECinter oilproducera oilproducerb nukeduma nukedumb nukeinter demautai demautbi deminteri rivduma rivdumb rivaldumy logdist allydumy cap_1 cap_2 capinter recogpy recogyr* if year>=1945, cluster(dyadid)
oprobit ordrecal saudia saudib opecnonsaudia opecnonsaudib OPECinter oilproducera oilproducerb nukeduma nukedumb nukeinter demautai demautbi deminteri rivduma rivdumb rivaldumy logdist defdummy cap_1 cap_2 capinter lagrecorda if year>=1945, cluster(dyadid)

** ROBUSTNESS
* WITHOUT Oil-producer variables
probit recog1duml OPECa OPECb OPECinter nukeduma nukedumb nukeinter demautai demautbi deminteri rivduma rivdumb rivaldumy logdist allydumy cap_1 cap_2 capinter recogpy recogyr* if year>=1945, cluster(dyadid)
oprobit ordrecal OPECa OPECb OPECinter nukeduma nukedumb nukeinter demautai demautbi deminteri rivduma rivdumb rivaldumy logdist defdummy cap_1 cap_2 capinter lagrecorda if year>=1945, cluster(dyadid)
* With Oil-producer-interaction term
probit recog1duml OPECa OPECb OPECinter oilproducera oilproducerb oilproducerab nukeduma nukedumb nukeinter demautai demautbi deminteri rivduma rivdumb rivaldumy logdist allydumy cap_1 cap_2 capinter recogpy recogyr* if year>=1945, cluster(dyadid)
oprobit ordrecal OPECa OPECb OPECinter oilproducera oilproducerb oilproducerab nukeduma nukedumb nukeinter demautai demautbi deminteri rivduma rivdumb rivaldumy logdist defdummy cap_1 cap_2 capinter lagrecorda if year>=1945, cluster(dyadid)
* Using Oil-exporter variable instead
probit recog1duml OPECa OPECb OPECinter oil1 oil2 oiloil nukeduma nukedumb nukeinter demautai demautbi deminteri rivduma rivdumb rivaldumy logdist allydumy cap_1 cap_2 capinter recogpy recogyr* if year>=1945, cluster(dyadid)
oprobit ordrecal OPECa OPECb OPECinter oil1 oil2 oiloil nukeduma nukedumb nukeinter demautai demautbi deminteri rivduma rivdumb rivaldumy logdist defdummy cap_1 cap_2 capinter lagrecorda if year>=1945, cluster(dyadid)
* With Cold War dummy
probit recog1duml OPECa OPECb OPECinter oilproducera oilproducerb coldwar nukeduma nukedumb nukeinter demautai demautbi deminteri rivduma rivdumb rivaldumy logdist allydumy cap_1 cap_2 capinter recogpy recogyr* if year>=1945, cluster(dyadid)
